## org.apache.poi.hdf.extractor.util
Class PropertyNode

    java.lang.Object
      org.apache.poi.hdf.extractor.util.PropertyNode

All Implemented Interfaces:
  java.lang.Comparable

Direct Known Subclasses:
  ChpxNode, PapxNode, SepxNode, TextPiece

public class PropertyNode
extends java.lang.Object
implements java.lang.Comparable

Comment me

Author:
  Ryan Ackley

Constructor Summary
`PropertyNode(int fcStart, int fcEnd, byte[] grpprl)`

Method Summary
`int` `compareTo(java.lang.Object o)`
`int` `getEnd()`
`protected byte[]` `getGrpprl()`
`int` `getStart()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyNode

    public PropertyNode(int fcStart,
                        int fcEnd,
                        byte[] grpprl)

Method Detail

### getStart

    public int getStart()

### getEnd

    public int getEnd()

### getGrpprl

    protected byte[] getGrpprl()

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Copyright © 2003 Apache Software Foundation.